Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina
Class LifecycleException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.catalina.LifecycleException

All Implemented Interfaces:
  Serializable

    public final class LifecycleException

extends Exception

General purpose exception that is thrown to indicate a lifecycle related problem. Such exceptions should generally be considered fatal to the operation of the application containing this component.

Version:
  $Id: LifecycleException.java 1200160 2011-11-10 05:35:13Z kkolinko $
Author:
  Craig R. McClanahan
See Also:
  Serialized Form

Constructor Summary
`LifecycleException()` Construct a new LifecycleException with no other information.
`LifecycleException(String message)` Construct a new LifecycleException for the specified message.
`LifecycleException(String message, Throwable throwable)` Construct a new LifecycleException for the specified message and throwable.
`LifecycleException(Throwable throwable)` Construct a new LifecycleException for the specified throwable.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LifecycleException

    public LifecycleException()

  Construct a new LifecycleException with no other information.

### LifecycleException

    public LifecycleException(String message)

  Construct a new LifecycleException for the specified message.

  Parameters:
    `message` - Message describing this exception

### LifecycleException

    public LifecycleException(Throwable throwable)

  Construct a new LifecycleException for the specified throwable.

  Parameters:
    `throwable` - Throwable that caused this exception

### LifecycleException

    public LifecycleException(String message,
                              Throwable throwable)

  Construct a new LifecycleException for the specified message and throwable.

  Parameters:
    `message` - Message describing this exception
    `throwable` - Throwable that caused this exception

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.